<?php
/**
 * The template to display blog archive
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

/*
Template Name: Blog archive
*/

/**
 * Make page with this template and put it into menu
 * to display posts as blog archive
 * You can setup output parameters (blog style, posts per page, parent category, etc.)
 * in the Theme Options section (under the page content)
 * You can build this page in the WordPress editor or any Page Builder to make custom page layout:
 * just insert %%CONTENT%% in the desired place of content
 */

// Get template page's content
$bazinga_content = '';
$bazinga_blog_archive_mask = '%%CONTENT%%';
$bazinga_blog_archive_subst = sprintf('<div class="blog_archive">%s</div>', $bazinga_blog_archive_mask);
if ( have_posts() ) {
	the_post();
	if (($bazinga_content = apply_filters('the_content', get_the_content())) != '') {
		if (($bazinga_pos = strpos($bazinga_content, $bazinga_blog_archive_mask)) !== false) {
			$bazinga_content = preg_replace('/(\<p\>\s*)?'.$bazinga_blog_archive_mask.'(\s*\<\/p\>)/i', $bazinga_blog_archive_subst, $bazinga_content);
		} else
			$bazinga_content .= $bazinga_blog_archive_subst;
		$bazinga_content = explode($bazinga_blog_archive_mask, $bazinga_content);
		// Add VC custom styles to the inline CSS
		$vc_custom_css = get_post_meta( get_the_ID(), '_wpb_shortcodes_custom_css', true );
		if ( !empty( $vc_custom_css ) ) bazinga_add_inline_css(strip_tags($vc_custom_css));
	}
}

// Prepare args for a new query
$bazinga_args = array(
	'post_status' => current_user_can('read_private_pages') && current_user_can('read_private_posts') ? array('publish', 'private') : 'publish'
);
$bazinga_args = bazinga_query_add_posts_and_cats($bazinga_args, '', bazinga_get_theme_option('post_type'), bazinga_get_theme_option('parent_cat'));
$bazinga_page_number = get_query_var('paged') ? get_query_var('paged') : (get_query_var('page') ? get_query_var('page') : 1);
if ($bazinga_page_number > 1) {
	$bazinga_args['paged'] = $bazinga_page_number;
	$bazinga_args['ignore_sticky_posts'] = true;
}
$bazinga_ppp = bazinga_get_theme_option('posts_per_page');
if ((int) $bazinga_ppp != 0)
	$bazinga_args['posts_per_page'] = (int) $bazinga_ppp;
// Make a new main query
$GLOBALS['wp_the_query']->query($bazinga_args);


// Add internal query vars in the new query!
if (is_array($bazinga_content) && count($bazinga_content) == 2) {
	set_query_var('blog_archive_start', $bazinga_content[0]);
	set_query_var('blog_archive_end', $bazinga_content[1]);
}

get_template_part('index');
?>