<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

$bazinga_blog_style = explode('_', bazinga_get_theme_option('blog_style'));
$bazinga_columns = empty($bazinga_blog_style[1]) ? 2 : max(2, $bazinga_blog_style[1]);
$bazinga_expanded = !bazinga_sidebar_present() && bazinga_is_on(bazinga_get_theme_option('expand_content'));
$bazinga_post_format = get_post_format();
$bazinga_post_format = empty($bazinga_post_format) ? 'standard' : str_replace('post-format-', '', $bazinga_post_format);
$bazinga_animation = bazinga_get_theme_option('blog_animation');
$bazinga_components = bazinga_array_get_keys_by_value(bazinga_get_theme_option('meta_parts'));
$bazinga_counters = bazinga_array_get_keys_by_value(bazinga_get_theme_option('counters'));

?><div class="<?php bazinga_show_layout (esc_attr($bazinga_blog_style[0] == 'classic' ? 'column' : 'masonry_item masonry_item')); ?>-1_<?php echo esc_attr($bazinga_columns); ?>"><article id="post-<?php the_ID(); ?>"
	<?php post_class( 'post_item post_format_'.esc_attr($bazinga_post_format)
					. ' post_layout_classic post_layout_classic_'.esc_attr($bazinga_columns)
					. ' post_layout_'.esc_attr($bazinga_blog_style[0]) 
					. ' post_layout_'.esc_attr($bazinga_blog_style[0]).'_'.esc_attr($bazinga_columns)
					); ?>
	<?php echo (!bazinga_is_off($bazinga_animation) ? ' data-animation="'.esc_attr(bazinga_get_animation_classes($bazinga_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	bazinga_show_post_featured( array( 'thumb_size' => bazinga_get_thumb_size($bazinga_blog_style[0] == 'classic'
													? (strpos(bazinga_get_theme_option('body_style'), 'full')!==false 
															? ( $bazinga_columns > 2 ? 'big' : 'huge' )
															: (	$bazinga_columns > 2
																? ($bazinga_expanded ? 'med' : 'small')
																: ($bazinga_expanded ? 'big' : 'med')
																)
														)
													: (strpos(bazinga_get_theme_option('body_style'), 'full')!==false 
															? ( $bazinga_columns > 2 ? 'masonry-big' : 'full' )
															: (	$bazinga_columns <= 2 && $bazinga_expanded ? 'masonry-big' : 'masonry')
														)
								) ) );

	if ( !in_array($bazinga_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php 
			do_action('bazinga_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );

			do_action('bazinga_action_before_post_meta'); 

			// Post meta
			if (!empty($bazinga_components))
				bazinga_show_post_meta(apply_filters('bazinga_filter_post_meta_args', array(
					'components' => $bazinga_components,
					'counters' => $bazinga_counters,
					'seo' => false
					), $bazinga_blog_style[0], $bazinga_columns)
				);

			do_action('bazinga_action_after_post_meta'); 
			?>
		</div><!-- .entry-header -->
		<?php
	}		
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$bazinga_show_learn_more = false; //!in_array($bazinga_post_format, array('link', 'aside', 'status', 'quote'));
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($bazinga_post_format, array('link', 'aside', 'status'))) {
				the_content();
			} else if ($bazinga_post_format == 'quote') {
				if (($quote = bazinga_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
					bazinga_show_layout(wpautop($quote));
				else
					the_excerpt();
			} else if (substr(get_the_content(), 0, 1)!='[') {
				the_excerpt();
			}
			?>
		</div>
		<?php
		// Post meta
		if (in_array($bazinga_post_format, array('link', 'aside', 'status', 'quote'))) {
			if (!empty($bazinga_components))
				bazinga_show_post_meta(apply_filters('bazinga_filter_post_meta_args', array(
					'components' => $bazinga_components,
					'counters' => $bazinga_counters
					), $bazinga_blog_style[0], $bazinga_columns)
				);
		}
		// More button
		if ( $bazinga_show_learn_more ) {
			?><p><a class="more-link" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'bazinga'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div>