<?php
/**
 * The default template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

$bazinga_post_format = get_post_format();
$bazinga_post_format = empty($bazinga_post_format) ? 'standard' : str_replace('post-format-', '', $bazinga_post_format);
$bazinga_animation = bazinga_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_excerpt post_format_'.esc_attr($bazinga_post_format) ); ?>
	<?php echo (!bazinga_is_off($bazinga_animation) ? ' data-animation="'.esc_attr(bazinga_get_animation_classes($bazinga_animation)).'"' : ''); ?>
	><?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	bazinga_show_post_featured(array( 'thumb_size' => bazinga_get_thumb_size( strpos(bazinga_get_theme_option('body_style'), 'full')!==false ? 'full' : 'extra' ) ));
    ?><div class="wrap-excerpt">
	<?php
	// Title and post meta
	if (get_the_title() != '') {
		?>
		<div class="post_header entry-header">
			<?php

            // Post meta
            $bazinga_components = bazinga_array_get_keys_by_value(bazinga_get_theme_option('meta_parts'));

            if (!empty($bazinga_components))
                bazinga_show_post_meta(apply_filters('bazinga_filter_post_meta_args', array(
                        'components' => $bazinga_components,
                        'counters' => '',
                        'seo' => false
                    ), 'excerpt', 1)
                );

			do_action('bazinga_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h2 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
			?>
		</div><!-- .post_header --><?php
	}
	
	// Post content
	?><div class="post_content entry-content"><?php
		if (bazinga_get_theme_option('blog_content') == 'fullpost') {
			// Post content area
			?><div class="post_content_inner"><?php
				the_content( '' );
			?></div><?php
			// Inner pages
			wp_link_pages( array(
				'before'      => '<div class="page_links"><span class="page_links_title">' . esc_html__( 'Pages:', 'bazinga' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'bazinga' ) . ' </span>%',
				'separator'   => '<span class="screen-reader-text">, </span>',
			) );

		} else {

			$bazinga_show_learn_more = false; //!in_array($bazinga_post_format, array('link', 'aside', 'status', 'quote'));

			// Post content area
			?><div class="post_content_inner"><?php
				if (has_excerpt()) {
					the_excerpt();
				} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
					the_content( '' );
				} else if (in_array($bazinga_post_format, array('link', 'aside', 'status'))) {
					the_content();
				} else if ($bazinga_post_format == 'quote') {
					if (($quote = bazinga_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
						bazinga_show_layout(wpautop($quote));
					else
						the_excerpt();
				} else if (substr(get_the_content(), 0, 1)!='[') {
					the_excerpt();
				}
			?></div><?php
			// More button
			if ( $bazinga_show_learn_more ) {
				?><p><a class="more-link" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'bazinga'); ?></a></p><?php
			}

		}


            $bazinga_components = bazinga_array_get_keys_by_value(bazinga_get_theme_option('meta_parts'));
            $bazinga_counters = bazinga_array_get_keys_by_value(bazinga_get_theme_option('counters'));

            do_action('bazinga_action_before_post_meta');

            if (!empty($bazinga_components))
                bazinga_show_post_meta(apply_filters('bazinga_filter_post_meta_args', array(
                        'components' => $bazinga_components,
                        'counters' => $bazinga_counters,
                        'seo' => false
                    ), 'excerpt', 1)
                );


	?></div><!-- .entry-content -->
    </div>
</article>