<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

$bazinga_blog_style = explode('_', bazinga_get_theme_option('blog_style'));
$bazinga_columns = empty($bazinga_blog_style[1]) ? 2 : max(2, $bazinga_blog_style[1]);
$bazinga_post_format = get_post_format();
$bazinga_post_format = empty($bazinga_post_format) ? 'standard' : str_replace('post-format-', '', $bazinga_post_format);
$bazinga_animation = bazinga_get_theme_option('blog_animation');
$bazinga_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($bazinga_columns).' post_format_'.esc_attr($bazinga_post_format) ); ?>
	<?php echo (!bazinga_is_off($bazinga_animation) ? ' data-animation="'.esc_attr(bazinga_get_animation_classes($bazinga_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($bazinga_image[1]) && !empty($bazinga_image[2])) echo intval($bazinga_image[1]) .'x' . intval($bazinga_image[2]); ?>"
	data-src="<?php if (!empty($bazinga_image[0])) echo esc_url($bazinga_image[0]); ?>"
	>

	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	$bazinga_image_hover = 'icon';	//bazinga_get_theme_option('image_hover');
	if (in_array($bazinga_image_hover, array('icons', 'zoom'))) $bazinga_image_hover = 'dots';
	$bazinga_components = bazinga_array_get_keys_by_value(bazinga_get_theme_option('meta_parts'));
	$bazinga_counters = bazinga_array_get_keys_by_value(bazinga_get_theme_option('counters'));
	bazinga_show_post_featured(array(
		'hover' => $bazinga_image_hover,
		'thumb_size' => bazinga_get_thumb_size( strpos(bazinga_get_theme_option('body_style'), 'full')!==false || $bazinga_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. (!empty($bazinga_components)
										? bazinga_show_post_meta(apply_filters('bazinga_filter_post_meta_args', array(
											'components' => $bazinga_components,
											'counters' => $bazinga_counters,
											'seo' => false,
											'echo' => false
											), $bazinga_blog_style[0], $bazinga_columns))
										: '')
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'bazinga') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>