<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

$bazinga_blog_style = explode('_', bazinga_get_theme_option('blog_style'));
$bazinga_columns = empty($bazinga_blog_style[1]) ? 2 : max(2, $bazinga_blog_style[1]);
$bazinga_post_format = get_post_format();
$bazinga_post_format = empty($bazinga_post_format) ? 'standard' : str_replace('post-format-', '', $bazinga_post_format);
$bazinga_animation = bazinga_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($bazinga_columns).' post_format_'.esc_attr($bazinga_post_format).(is_sticky() && !is_paged() ? ' sticky' : '') ); ?>
	<?php echo (!bazinga_is_off($bazinga_animation) ? ' data-animation="'.esc_attr(bazinga_get_animation_classes($bazinga_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$bazinga_image_hover = bazinga_get_theme_option('image_hover');
	// Featured image
	bazinga_show_post_featured(array(
		'thumb_size' => bazinga_get_thumb_size(strpos(bazinga_get_theme_option('body_style'), 'full')!==false || $bazinga_columns < 3 
								? 'masonry-big' 
								: 'masonry'),
		'show_no_image' => true,
		'class' => $bazinga_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $bazinga_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>