<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

$bazinga_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$bazinga_post_format = get_post_format();
$bazinga_post_format = empty($bazinga_post_format) ? 'standard' : str_replace('post-format-', '', $bazinga_post_format);
$bazinga_animation = bazinga_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($bazinga_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($bazinga_post_format) ); ?>
	<?php echo (!bazinga_is_off($bazinga_animation) ? ' data-animation="'.esc_attr(bazinga_get_animation_classes($bazinga_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	bazinga_show_post_featured(array(
		'thumb_size' => bazinga_get_thumb_size($bazinga_columns==1 ? 'big' : ($bazinga_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($bazinga_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			bazinga_show_post_meta(apply_filters('bazinga_filter_post_meta_args', array(), 'sticky', $bazinga_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>