<?php
/* WP GDPR Compliance support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'bazinga_wp_gdpr_compliance_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'bazinga_wp_gdpr_compliance_theme_setup9', 9 );
	function bazinga_wp_gdpr_compliance_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'bazinga_filter_tgmpa_required_plugins', 'bazinga_wp_gdpr_compliance_tgmpa_required_plugins' );
		}
	}
}


// Filter to add in the required plugins list
if ( !function_exists( 'bazinga_wp_gdpr_compliance_tgmpa_required_plugins' ) ) {
	function bazinga_wp_gdpr_compliance_tgmpa_required_plugins($list=array()) {
		if (bazinga_storage_isset('required_plugins', 'wp-gdpr-compliance')) {
			$list[] = array(
					'name' 		=> bazinga_storage_get_array('required_plugins', 'wp-gdpr-compliance'),
					'slug' 		=> 'wp-gdpr-compliance',
					'required' 	=> false
				);
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'bazinga_exists_wp_gdpr_compliance' ) ) {
	function bazinga_exists_wp_gdpr_compliance() {
		return class_exists( 'WPGDPRC\WPGDPRC' );
	}
}
