<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

if (bazinga_sidebar_present()) {
	ob_start();
	$bazinga_sidebar_name = bazinga_get_theme_option('sidebar_widgets');
	bazinga_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($bazinga_sidebar_name) ) {
		dynamic_sidebar($bazinga_sidebar_name);
	}
	$bazinga_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($bazinga_out)) {
		$bazinga_sidebar_position = bazinga_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($bazinga_sidebar_position); ?> widget_area<?php if (!bazinga_is_inherit(bazinga_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(bazinga_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'bazinga_action_before_sidebar' );
				bazinga_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $bazinga_out));
				do_action( 'bazinga_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>