<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0.10
 */

$bazinga_footer_id = str_replace('footer-custom-', '', bazinga_get_theme_option("footer_style"));
if ((int) $bazinga_footer_id == 0) {
	$bazinga_footer_id = bazinga_get_post_id(array(
												'name' => $bazinga_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$bazinga_footer_id = apply_filters('bazinga_filter_get_translated_layout', $bazinga_footer_id);
}
$bazinga_footer_meta = get_post_meta($bazinga_footer_id, 'trx_addons_options', true);
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($bazinga_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($bazinga_footer_id))); 
						if (!empty($bazinga_footer_meta['margin']) != '') 
							echo ' '.esc_attr(bazinga_add_inline_css_class('margin-top: '.bazinga_prepare_css_value($bazinga_footer_meta['margin']).';'));
						if (!bazinga_is_inherit(bazinga_get_theme_option('footer_scheme')))
							echo ' scheme_' . esc_attr(bazinga_get_theme_option('footer_scheme'));
						?>">
	<?php
    // Custom footer's layout
    do_action('bazinga_action_show_layout', $bazinga_footer_id);
	?>
</footer><!-- /.footer_wrap -->
