<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0.10
 */

// Footer sidebar
$bazinga_footer_name = bazinga_get_theme_option('footer_widgets');
$bazinga_footer_present = !bazinga_is_off($bazinga_footer_name) && is_active_sidebar($bazinga_footer_name);
if ($bazinga_footer_present) { 
	bazinga_storage_set('current_sidebar', 'footer');
	$bazinga_footer_wide = bazinga_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($bazinga_footer_name) ) {
		dynamic_sidebar($bazinga_footer_name);
	}
	$bazinga_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($bazinga_out)) {
		$bazinga_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $bazinga_out);
		$bazinga_need_columns = true;	//or check: strpos($bazinga_out, 'columns_wrap')===false;
		if ($bazinga_need_columns) {
			$bazinga_columns = max(0, (int) bazinga_get_theme_option('footer_columns'));
			if ($bazinga_columns == 0) $bazinga_columns = min(4, max(1, substr_count($bazinga_out, '<aside ')));
			if ($bazinga_columns > 1)
				$bazinga_out = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($bazinga_columns).' widget', $bazinga_out);
			else
				$bazinga_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($bazinga_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$bazinga_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($bazinga_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'bazinga_action_before_sidebar' );
				bazinga_show_layout($bazinga_out);
				do_action( 'bazinga_action_after_sidebar' );
				if ($bazinga_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$bazinga_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>