<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0.06
 */

$bazinga_header_css = '';
$bazinga_header_image = get_header_image();
$bazinga_header_video = bazinga_get_header_video();
if (!empty($bazinga_header_image) && bazinga_trx_addons_featured_image_override(is_singular() || bazinga_storage_isset('blog_archive') || is_category())) {
	$bazinga_header_image = bazinga_get_current_mode_image($bazinga_header_image);
}

$bazinga_header_id = str_replace('header-custom-', '', bazinga_get_theme_option("header_style"));
if ((int) $bazinga_header_id == 0) {
	$bazinga_header_id = bazinga_get_post_id(array(
												'name' => $bazinga_header_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$bazinga_header_id = apply_filters('bazinga_filter_get_translated_layout', $bazinga_header_id);
}
$bazinga_header_meta = get_post_meta($bazinga_header_id, 'trx_addons_options', true);

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($bazinga_header_id); 
				?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($bazinga_header_id)));
				echo !empty($bazinga_header_image) || !empty($bazinga_header_video) 
					? ' with_bg_image' 
					: ' without_bg_image';
				if ($bazinga_header_video!='') 
					echo ' with_bg_video';
				if ($bazinga_header_image!='') 
					echo ' '.esc_attr(bazinga_add_inline_css_class('background-image: url('.esc_url($bazinga_header_image).');'));
				if (!empty($bazinga_header_meta['margin']) != '') 
					echo ' '.esc_attr(bazinga_add_inline_css_class('margin-bottom: '.esc_attr(bazinga_prepare_css_value($bazinga_header_meta['margin'])).';'));
				if (is_single() && has_post_thumbnail()) 
					echo ' with_featured_image';
				if (bazinga_is_on(bazinga_get_theme_option('header_fullheight'))) 
					echo ' header_fullheight bazinga-full-height';
				if (!bazinga_is_inherit(bazinga_get_theme_option('header_scheme')))
					echo ' scheme_' . esc_attr(bazinga_get_theme_option('header_scheme'));
				?>"><?php

	// Background video
	if (!empty($bazinga_header_video)) {
		get_template_part( 'templates/header-video' );
	}
		
	// Custom header's layout
	do_action('bazinga_action_show_layout', $bazinga_header_id);

	// Header widgets area
	get_template_part( 'templates/header-widgets' );
		
?></header>