<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

$bazinga_header_css = '';
$bazinga_header_image = get_header_image();
$bazinga_header_video = bazinga_get_header_video();
if (!empty($bazinga_header_image) && bazinga_trx_addons_featured_image_override(is_singular() || bazinga_storage_isset('blog_archive') || is_category())) {
	$bazinga_header_image = bazinga_get_current_mode_image($bazinga_header_image);
}

?><header class="top_panel top_panel_default<?php
					echo !empty($bazinga_header_image) || !empty($bazinga_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($bazinga_header_video!='') echo ' with_bg_video';
					if ($bazinga_header_image!='') echo ' '.esc_attr(bazinga_add_inline_css_class('background-image: url('.esc_url($bazinga_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (bazinga_is_on(bazinga_get_theme_option('header_fullheight'))) echo ' header_fullheight bazinga-full-height';
					if (!bazinga_is_inherit(bazinga_get_theme_option('header_scheme')))
						echo ' scheme_' . esc_attr(bazinga_get_theme_option('header_scheme'));
					?>"><?php

	// Background video
	if (!empty($bazinga_header_video)) {
		get_template_part( 'templates/header-video' );
	}
	
	// Main menu
	if (bazinga_get_theme_option("menu_style") == 'top') {
		get_template_part( 'templates/header-navi' );
	}

	// Mobile header
	if (bazinga_is_on(bazinga_get_theme_option("header_mobile_enabled"))) {
		get_template_part( 'templates/header-mobile' );
	}
	
	// Page title and breadcrumbs area
	get_template_part( 'templates/header-title');

	// Header widgets area
	get_template_part( 'templates/header-widgets' );

	// Display featured image in the header on the single posts
	// Comment next line to prevent show featured image in the header area
	// and display it in the post's content
	//get_template_part( 'templates/header-single' );

?></header>