<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

$bazinga_args = get_query_var('bazinga_logo_args');

// Site logo
$bazinga_logo_type   = isset($bazinga_args['type']) ? $bazinga_args['type'] : '';
$bazinga_logo_image  = bazinga_get_logo_image($bazinga_logo_type);
$bazinga_logo_text   = bazinga_is_on(bazinga_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$bazinga_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($bazinga_logo_image) || !empty($bazinga_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($bazinga_logo_image)) {
			if (empty($bazinga_logo_type) && function_exists('the_custom_logo') && (int) $bazinga_logo_image > 0) {
				the_custom_logo();
			} else {
				$bazinga_attr = bazinga_getimagesize($bazinga_logo_image);
				echo '<img src="'.esc_url($bazinga_logo_image).'" alt="'.esc_attr__('logo_image', 'bazinga').'"'.(!empty($bazinga_attr[3]) ? ' '.wp_kses_data($bazinga_attr[3]) : '').'>';
			}
		} else {
			bazinga_show_layout(bazinga_prepare_macros($bazinga_logo_text), '<span class="logo_text">', '</span>');
			bazinga_show_layout(bazinga_prepare_macros($bazinga_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>