<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr(bazinga_get_theme_option('menu_mobile_fullscreen') > 0 ? 'fullscreen' : 'narrow'); ?> scheme_dark">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close icon-cancel"></a><?php

		// Logo
		set_query_var('bazinga_logo_args', array('type' => 'mobile'));
		get_template_part( 'templates/header-logo' );
		set_query_var('bazinga_logo_args', array());

		// Mobile menu
		$bazinga_menu_mobile = bazinga_get_nav_menu('menu_mobile');
		if (empty($bazinga_menu_mobile)) {
			$bazinga_menu_mobile = apply_filters('bazinga_filter_get_mobile_menu', '');
			if (empty($bazinga_menu_mobile)) $bazinga_menu_mobile = bazinga_get_nav_menu('menu_main');
			if (empty($bazinga_menu_mobile)) $bazinga_menu_mobile = bazinga_get_nav_menu();
		}
		if (!empty($bazinga_menu_mobile)) {
			if (!empty($bazinga_menu_mobile))
				$bazinga_menu_mobile = str_replace(
					array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
					array('menu_mobile', 'id="menu_mobile-', '', '', ''),
					$bazinga_menu_mobile
					);
			if (strpos($bazinga_menu_mobile, '<nav ')===false)
				$bazinga_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $bazinga_menu_mobile);
			bazinga_show_layout(apply_filters('bazinga_filter_menu_mobile_layout', $bazinga_menu_mobile));
		}
		?>
	</div>
</div>