<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

// Page (category, tag, archive, author) title

if ( bazinga_need_page_title() ) {
	bazinga_sc_layouts_showed('title', true);
	bazinga_sc_layouts_showed('postmeta', false);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( false && is_single() )  {
							?><div class="sc_layouts_title_meta"><?php
								bazinga_show_post_meta(apply_filters('bazinga_filter_post_meta_args', array(
									'components' => bazinga_array_get_keys_by_value(bazinga_get_theme_option('meta_parts')),
									'counters' => bazinga_array_get_keys_by_value(bazinga_get_theme_option('counters')),
									'seo' => bazinga_is_on(bazinga_get_theme_option('seo_snippets'))
									), 'header', 1)
								);
							?></div><?php
						}
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$bazinga_blog_title = bazinga_get_blog_title();
							$bazinga_blog_title_text = $bazinga_blog_title_class = $bazinga_blog_title_link = $bazinga_blog_title_link_text = '';
							if (is_array($bazinga_blog_title)) {
								$bazinga_blog_title_text = $bazinga_blog_title['text'];
								$bazinga_blog_title_class = !empty($bazinga_blog_title['class']) ? ' '.$bazinga_blog_title['class'] : '';
								$bazinga_blog_title_link = !empty($bazinga_blog_title['link']) ? $bazinga_blog_title['link'] : '';
								$bazinga_blog_title_link_text = !empty($bazinga_blog_title['link_text']) ? $bazinga_blog_title['link_text'] : '';
							} else
								$bazinga_blog_title_text = $bazinga_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($bazinga_blog_title_class); ?>"><?php
								$bazinga_top_icon = bazinga_get_category_icon();
								if (!empty($bazinga_top_icon)) {
									$bazinga_attr = bazinga_getimagesize($bazinga_top_icon);
									?><img src="<?php echo esc_url($bazinga_top_icon); ?>" alt="'.esc_attr__('Top-Icon', 'bazinga').'" <?php if (!empty($bazinga_attr[3])) bazinga_show_layout($bazinga_attr[3]);?>><?php
								}
								echo wp_kses_data($bazinga_blog_title_text);
							?></h1>
							<?php
							if (!empty($bazinga_blog_title_link) && !empty($bazinga_blog_title_link_text)) {
								?><a href="<?php echo esc_url($bazinga_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($bazinga_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'bazinga_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>