<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

// Header sidebar
$bazinga_header_name = bazinga_get_theme_option('header_widgets');
$bazinga_header_present = !bazinga_is_off($bazinga_header_name) && is_active_sidebar($bazinga_header_name);
if ($bazinga_header_present) { 
	bazinga_storage_set('current_sidebar', 'header');
	$bazinga_header_wide = bazinga_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($bazinga_header_name) ) {
		dynamic_sidebar($bazinga_header_name);
	}
	$bazinga_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($bazinga_widgets_output)) {
		$bazinga_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $bazinga_widgets_output);
		$bazinga_need_columns = strpos($bazinga_widgets_output, 'columns_wrap')===false;
		if ($bazinga_need_columns) {
			$bazinga_columns = max(0, (int) bazinga_get_theme_option('header_columns'));
			if ($bazinga_columns == 0) $bazinga_columns = min(6, max(1, substr_count($bazinga_widgets_output, '<aside ')));
			if ($bazinga_columns > 1)
				$bazinga_widgets_output = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($bazinga_columns).' widget', $bazinga_widgets_output);
			else
				$bazinga_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($bazinga_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$bazinga_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($bazinga_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'bazinga_action_before_sidebar' );
				bazinga_show_layout($bazinga_widgets_output);
				do_action( 'bazinga_action_after_sidebar' );
				if ($bazinga_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$bazinga_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>