<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

$bazinga_link = get_permalink();
$bazinga_post_format = get_post_format();
$bazinga_post_format = empty($bazinga_post_format) ? 'standard' : str_replace('post-format-', '', $bazinga_post_format);

$post_share = '';
if ( in_array(get_post_type(), array( 'post' ) ) ) {
    if (function_exists('trx_addons_get_share_links')) {
        $args = array(
            'caption' => ' ',
            'before' => '<div class="post_meta_item post_share">',
            'after' => '</div>',
            'echo' => false,
            'style' => 'icons',
            'type' => 'block', // list|block|drop
        );
        $post_share = trx_addons_get_share_links($args);
    }
}

?><div id="post-<?php the_ID(); ?>" 
	<?php post_class( 'related_item related_item_style_2 post_format_'.esc_attr($bazinga_post_format) ); ?>><?php
	bazinga_show_post_featured(array(
		'thumb_size' => apply_filters('bazinga_filter_related_thumb_size', bazinga_get_thumb_size( (int) bazinga_get_theme_option('related_posts') == 1 ? 'huge' : 'med' )),
		'show_no_image' => bazinga_get_theme_setting('allow_no_image'),
		'singular' => false,
        'post_info' => '<div class="go-info"><span class="post_meta_item post_categories">'.wp_kses_post(bazinga_get_post_categories(', ')).'</span>'.$post_share.'</div>'
		)
	);

	?><div class="post_header entry-header"><?php
		if ( in_array(get_post_type(), array( 'post', 'attachment' ) ) ) {
            bazinga_show_post_meta( array(
                    'components' => 'date,counters',
                    'counters' => 'comments,likes',	//comments,views,likes
                    'seo' => false
                )
            );
		}
		?>
		<h6 class="post_title entry-title"><a href="<?php echo esc_url($bazinga_link); ?>"><?php the_title(); ?></a></h6>
	</div>
</div>