<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage BAZINGA
 * @since BAZINGA 1.0
 */

$bazinga_post_id    = get_the_ID();
$bazinga_post_date  = bazinga_get_date();
$bazinga_post_title = get_the_title();
$bazinga_post_link  = get_permalink();
$bazinga_post_author_id   = get_the_author_meta('ID');
$bazinga_post_author_name = get_the_author_meta('display_name');
$bazinga_post_author_url  = get_author_posts_url($bazinga_post_author_id, '');

$bazinga_args = get_query_var('bazinga_args_widgets_posts');
$bazinga_show_date = isset($bazinga_args['show_date']) ? (int) $bazinga_args['show_date'] : 1;
$bazinga_show_image = isset($bazinga_args['show_image']) ? (int) $bazinga_args['show_image'] : 1;
$bazinga_show_author = isset($bazinga_args['show_author']) ? (int) $bazinga_args['show_author'] : 1;
$bazinga_show_counters = isset($bazinga_args['show_counters']) ? (int) $bazinga_args['show_counters'] : 1;
$bazinga_show_categories = isset($bazinga_args['show_categories']) ? (int) $bazinga_args['show_categories'] : 1;

$bazinga_output = bazinga_storage_get('bazinga_output_widgets_posts');

$bazinga_post_counters_output = '';
if ( $bazinga_show_counters ) {
	$bazinga_post_counters_output = '<span class="post_info_item post_info_counters">'
								. bazinga_get_post_counters('comments')
							. '</span>';
}


$bazinga_output .= '<article class="post_item with_thumb">';

if ($bazinga_show_image) {
	$bazinga_post_thumb = get_the_post_thumbnail($bazinga_post_id, bazinga_get_thumb_size('tiny'), array(
		'alt' => get_the_title()
	));
	if ($bazinga_post_thumb) $bazinga_output .= '<div class="post_thumb">' . ($bazinga_post_link ? '<a href="' . esc_url($bazinga_post_link) . '">' : '') . ($bazinga_post_thumb) . ($bazinga_post_link ? '</a>' : '') . '</div>';
}

$bazinga_output .= '<div class="post_content">'
			. ($bazinga_show_categories 
					? '<div class="post_categories">'
						. bazinga_get_post_categories()
						. $bazinga_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($bazinga_post_link ? '<a href="' . esc_url($bazinga_post_link) . '">' : '') . ($bazinga_post_title) . ($bazinga_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('bazinga_filter_get_post_info', 
								'<div class="post_info">'
									. ($bazinga_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($bazinga_post_link ? '<a href="' . esc_url($bazinga_post_link) . '" class="post_info_date">' : '') 
											. esc_html($bazinga_post_date) 
											. ($bazinga_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($bazinga_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'bazinga') . ' ' 
											. ($bazinga_post_link ? '<a href="' . esc_url($bazinga_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($bazinga_post_author_name) 
											. ($bazinga_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$bazinga_show_categories && $bazinga_post_counters_output
										? $bazinga_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
bazinga_storage_set('bazinga_output_widgets_posts', $bazinga_output);
?>