<?php
/**
 * The "Announce" template to show post's content
 *
 * Used in the widget Recent News.
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.0
 */
 
$widget_args = get_query_var('trx_addons_args_recent_news');
$style = $widget_args['style'];
$number = min(8, $widget_args['number']);
$count = min(8, $widget_args['count']);
$post_format = get_post_format();
$post_format = empty($post_format) ? 'standard' : str_replace('post-format-', '', $post_format);
$animation = '';

$post_share = '';
if ( in_array(get_post_type(), array( 'post' ) ) ) {
    if (function_exists('trx_addons_get_share_links')) {
        $args = array(
            'caption' => ' ',
            'before' => '<div class="post_meta_item post_share">',
            'after' => '</div>',
            'echo' => false,
            'style' => 'icons',
            'type' => 'block', // list|block|drop
        );
        $post_share = trx_addons_get_share_links($args);
    }
}

$grid = array(
	array('full'),
	array('big', 'big'),
	array('big', 'medium', 'medium'),
	array('medium', 'medium', 'medium', 'medium'),
	array('big', 'medium', 'medium', 'big', 'big'),
	array('big', 'medium', 'medium', 'big', 'medium', 'medium'),
	array('big', 'medium', 'medium', 'big', 'medium', 'medium', 'full'),
	array('medium', 'medium', 'medium', 'medium', 'medium', 'medium', 'medium', 'medium')
);
$thumb_size = $grid[$count-$number >= 8 ? 8 : ($count-1)%8][($number-1)%8];
?><article 
	<?php post_class( 'post_item post_layout_'.esc_attr($style)
					.' post_format_'.esc_attr($post_format)
					.' post_size_'.esc_attr($thumb_size)
					); ?>
	<?php echo (!empty($animation) ? ' data-animation="'.esc_attr($animation).'"' : ''); ?>
	>

	<?php

	trx_addons_get_template_part('templates/tpl.featured.php',
								'trx_addons_args_featured',
								apply_filters('trx_addons_filter_args_featured', array(
                                    'post_info' => '<div class="header-wrap">'
                                        . (in_array(get_post_type(), array('post', 'attachment'))
                                            ? '<div class="go-info"><span class="post_meta_item post_categories">'.wp_kses_post(bazinga_get_post_categories(', ')).'</span>'.$post_share.'</div>'
                                            : '')
                                        . '<h5 class="post_title entry-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">' . get_the_title() . '</a></h5>'
                                        . (in_array(get_post_type(), array('post', 'attachment'))
                                            ? '<div class="post_meta">'
                                            . '<span class="post_author post_info_item">'.esc_html__('by ', 'bazinga').get_the_author_link() . '</span>'
                                            . '<span class="post_date post_info_item"><a href="' . esc_url(get_permalink()) . '">' . get_the_date() . '</a></span>'
                                            . '</div>'
                                            : '')
                                        . '</div>',
                                        'hover' => 'simple',
										'thumb_bg' => true,
										'thumb_size' => trx_addons_get_thumb_size('full')
										),
										'recent_news-announce')
								);
	?>
</article>