<?php
/**
 * The "News Excerpt" template to show post's content
 *
 * Used in the widget Recent News.
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.0
 */
 
$widget_args = get_query_var('trx_addons_args_recent_news');
$style = $widget_args['style'];
$number = $widget_args['number'];
$count = $widget_args['count'];
$post_format = get_post_format();
$post_format = empty($post_format) ? 'standard' : str_replace('post-format-', '', $post_format);
$animation = '';


$post_share = '';
if ( in_array(get_post_type(), array( 'post' ) ) ) {
    if (function_exists('trx_addons_get_share_links')) {
        $args = array(
            'caption' => ' ',
            'before' => '<div class="post_meta_item post_share">',
            'after' => '</div>',
            'echo' => false,
            'style' => 'icons',
            'type' => 'block', // list|block|drop
        );
        $post_share = trx_addons_get_share_links($args);
    }
}


?><article 
	<?php post_class( 'post_item post_layout_'.esc_attr($style)
					.' post_format_'.esc_attr($post_format)
					); ?>
	<?php echo (!empty($animation) ? ' data-animation="'.esc_attr($animation).'"' : ''); ?>
	><?php
	trx_addons_get_template_part('templates/tpl.featured.php',
								'trx_addons_args_featured',
								apply_filters('trx_addons_filter_args_featured', array(
										'post_info' => '',
										'thumb_size' => trx_addons_get_thumb_size('extra')
										), 'recent_news-excerpt')
								);
	?><div class="post_body">

		<?php
		if ( !in_array($post_format, array('link', 'aside', 'status', 'quote')) ) { ?>
			<div class="post_header entry-header">
                <div class="post_info">
                    <span class="post_categories"><?php echo trx_addons_get_post_categories(); ?></span>
                    <div class="excerpt-share"><?php bazinga_show_layout($post_share); ?></div>
                </div>
            <?php the_title( '<h4 class="post_title entry-title"><a href="'.esc_url(get_permalink()).'" rel="bookmark">', '</a></h4>' ); ?>
			</div><!-- .entry-header -->
			<?php
		}
		?>
		
		<div class="post_content entry-content">
			<?php
			echo wpautop(substr(get_the_excerpt(), 0, 110).' ...');
			?>
		</div><!-- .entry-content -->
	
		<div class="post_footer entry-footer">
			<?php
            if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
                if ( in_array(get_post_type(), array( 'post', 'attachment' ) ) ) {
                    bazinga_show_post_meta( array(
                            'components' => 'date,counters',
                            'counters' => 'comments,likes',	//comments,views,likes
                            'seo' => false
                        )
                    );
                }
            }
			?>
		</div><!-- .entry-footer -->

	</div><!-- .post_body -->

</article>