<?php
/**
 * The "List" template to show post's content
 *
 * Used in the widget Recent News.
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.0
 */

$widget_args = get_query_var('trx_addons_args_recent_news');
$style = $widget_args['style'];
$columns = $widget_args['columns'];
$post_format = get_post_format();
$post_format = empty($post_format) ? 'standard' : str_replace('post-format-', '', $post_format);
$animation = '';
$count = $widget_args['count'];
$columns = $count;

if ($columns > 1) {
    ?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $columns)); ?>"><?php
}
?><article <?php post_class( 'post_item post_layout_'.esc_attr($style) .' post_format_'.esc_attr($post_format)); ?>>

<?php
trx_addons_get_template_part('templates/tpl.featured.php',
    'trx_addons_args_featured',
    apply_filters('trx_addons_filter_args_featured', array(
        'post_info' => '<div class="hover-info"><div class="go-info"><span class="post_meta_item post_categories">'.wp_kses_post(bazinga_get_post_categories(', ')).'</span></div>'
            .'<h6 class="post_title entry-title"><a href="'.esc_url(get_permalink()).'">'.get_the_title().'</a></h6></div>',
        'thumb_size' => bazinga_get_thumb_size('extra'),
        'hover' => 'simple',
    ), 'recent_news-list')
);

?></article><?php
if ($columns > 1) {
    ?></div><?php
}
?>